/* Base styles (mobile-first) 375px - 599px*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: #2b2d42;
    
}

h1,h2,h3,h4{
    font-family: "Pirata One", system-ui;
    font-weight: 400;
    font-style: normal;
}

h1{
    font-size: 3em;
}

h2{
    font-size: 2.5em;
}

h3{
    font-size: 1.75em;
}

h4{
    font-size: 1.25em;
}

body {
    font-family: "Texturina", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    width: 100%;
    background-color:#fdfff7;
}

header{
    background-color: #91a6ff;
    padding: 2.5% 5%;
    text-align: center;
}

nav ul{
    list-style-type: none;
}

nav ul li{
    margin: 0 2%;
    display: inline-flex;
    background-color: #2b2d42;
    padding: 0px 3px 3px 3px;
    border-radius: 7px;
}

a{
    text-decoration: none;
    color: #91a6ff;
}

img{
    height: 100%;
    width: 100%;
    object-fit: contain;
}

section{
    display: grid;
    margin: 2.5% 0%;
}

footer{
    background-color: #91a6ff;
    padding: 2.5% 5%;
    text-align: center;
}

/************************************************************************************Intro Styles*/
#intro{
    width: 100%;
    margin-bottom: 5%;
}

#intro h1{
    text-align: center;
}

#intro p{
    font-size: 1.5em;
    text-align: center;
}

#intro img{
    border-radius: 30px;
    padding: 2% 3%;
}

#intro-text{
    padding: 1% 1% 0% 1%;
}

/************************************************************************************Skill Styles*/
#skills{
    background-color: #6F9283;
    text-align: center;
    padding:  5% 0%;
    border-radius: 10%;
    margin: 0% 3%;
}

#skills ul {
    list-style-type: none;
}

#skills ul li{
    margin: 0 2%;
    display: inline-flex;
}

#skills ul li, #skills h2, #skills h3, #skills p{
    color: #fdfff7;
}

#minimal{
    font-size: x-small;   
}
.skill-column{
    padding: 5% 0%;
}

/*********************************************************************************Education Styles*/
#education{
    text-align: center;
    padding:  2.5% 0%;
}

#education-entry{
    padding: 2% 5% 0% 5%;
}

.education-title{
    font-weight: bold;
}

/*********************************************************************************Experience Styles*/
#experience{
    padding:  2.5% 0%;
    
}

#experience h2{
    text-align: center;
}

.job-data{
    font-weight: bold;
}

.job-container{
    padding-top: 2.5%;
    
}

.job-container h3{
    padding-left: 5%;
}

.job-container ul{
    padding-left: 8%;
}

.job-entry{
    padding: 2% 5% 0% 5%;
}

/*********************************************************************************Contact Styles*/
#contact{
    padding:  5% 1%;
    text-align: center;
}

#contact a{
    text-decoration: underline;
}

/*Styles for 600px-784px (portrait tablets/large phones)*/
@media only screen and (min-width: 600px) {

#intro{
    grid-template-columns: 50% 50%;
    margin: 5% 0%;
}

#intro h1{
    font-size: 2.5em;
}

#intro p{
    font-size: 1.4em;
}

#intro img{
    width: 100%;
    border-radius: 30px;
}

#skills{
    padding: 2.5% 0%;
}

.skill-column {
    padding: 2.5% 0%;
}

#education div p{
    font-size: 1.15em;
}

}/*end 600px*/

/*Styles for 785px-989px (Landscape tablets)*/
@media only screen and (min-width: 785px) {

#intro h1{
    font-size: 2.75em;
}

#intro p{
    font-size: 1.7em;
}

#skills-container{
    display: grid;
    grid-template-columns: 33.33% 33.33% 33.33%;
}

#minimal{
    grid-column: 1/span 3;
}

#skills ul {
    list-style-type: none;
}

#skills ul li{
    margin: 0 2%;
    display: block;
}

.job-entry h4{
    font-size: 1.5em;
}

.job-data{
    font-size: 1.15em;
}

.job-description li{
    font-size: 1.1em;
}

#contact p{
    font-size: 1.25em;
}

}/*end 785px*/

/*Styles for 990px-1199px (Desktop/Laptop)*/
@media only screen and (min-width: 990px) {
    
nav{
    display: grid;
    grid-template-columns: 50% 50%;
    align-items: center;
}

nav ul li {
    margin: 0 2%;
    display: inline-flex;
    padding: 0px 3px 3px 3px;
    background-color: unset;
    border-radius: unset;
    font-weight: bold;
    font-size: 1.2em;
}

nav a {
    text-decoration: none;
    color: #2b2d42;
}

a:hover {
    text-decoration: underline;
    color: #6F9283;
}

#intro{
    align-items: center;
}

}/*end 990px*/

/*Styles for 2000px-larger (Large desktop/laptops)*/
@media only screen and (min-width: 1200px) {
    
    #intro{
        padding: 0% 8.33%;
    }

    #skills{
        margin-left: 8.33%;
        margin-right: 8.33%;
    }

    #experience, #contact{
        padding-left: 8.33%;
        padding-right: 8.33%;
    }

}/*end 1200px*/

/* 
Percentages for 12 column system
1 - 8.33%
2 - 16.66%
3 - 25%
4 - 33.33%
5 - 41.66%
6 - 50%
7 - 58.33%
8 - 66.66%
9 - 75%
10 - 83.33%
11 - 91.66%
12 - 100% 
*/